import React, { Component } from "react";
import UserItem from "./UserItem";
import { LinkContainer } from "react-router-bootstrap";
import Nav from 'react-bootstrap/Nav';

class UserManagement extends Component {
    render() {
        return (
            <div>
                <div id="userManagementPage" style={{ height: '50vw', backgroundColor: '#2b3648', padding: '10rem', display: 'flex', justifyContent: 'center' }}>
                    <LinkContainer to="/createNewUserForm" id="UserManagementPageCreateComponent">
                        <Nav.Link><img alt="Add-User-Button" src="https://cdn.icon-icons.com/icons2/933/PNG/512/round-add-button_icon-icons.com_72595.png" style={{ width: '2rem' }}></img></Nav.Link>
                    </LinkContainer>
                    <UserItem />
                </div>
            </div>
        )
    }
}

export default UserManagement